Blacklight 3.0 released!

11 Jul 2011

Release 3.0 of Project Blacklight is now available via Ruby Gems. Instructions for installing Blacklight or upgrading an existing installation can be found on our wiki. Here are just a few things that are new in Blacklight 3.0:

  • Installable as a Gem
  • Rails 3.0 and 3.1 compatible
  • JRuby Support
  • Ruby 1.9.2 Support
  • Automated Installation via Generators (rails generate Blacklight)
  • Reduced dependencies (no longer requires Authlogic)
  • Uses the new Rails3 engines for easier integration into your existing application

The JIRA issues are at Blacklight 3.0 release

The full source code can be found on GitHub

Also, the GitHub compare view of this release vs. our last release is located at v2.9.0...v.3.0.0